| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
GaudiTesting.BaseTest.FilePreprocessor Class Reference
Inheritance diagram for GaudiTesting.BaseTest.FilePreprocessor:
[legend]

## Public Member Functions
def | __processLine__ (self, line)
def | __processFile__ (self, lines)
def | __call__ (self, input)
def | __add__ (self, rhs)

## Detailed Description

    Base class for a callable that takes a file and returns a modified
        version of it.

Definition at line 749 of file BaseTest.py.

## Member Function Documentation

## ◆ __add__()

def GaudiTesting.BaseTest.FilePreprocessor.__add__ | ( |  | self,
|  |  | rhs
| ) |  |

Reimplemented in GaudiTesting.BaseTest.RegexpReplacer, and GaudiTesting.BaseTest.FilePreprocessorSequence.

Definition at line 776 of file BaseTest.py.

776 def __add__(self, rhs):
777 return FilePreprocessorSequence([self, rhs])
778
779

## ◆ __call__()

def GaudiTesting.BaseTest.FilePreprocessor.__call__ | ( |  | self,
|  |  | input
| ) |  |

Reimplemented in GaudiTesting.BaseTest.FilePreprocessorSequence.

Definition at line 764 of file BaseTest.py.

764 def __call__(self, input):
765 if hasattr(input, "__iter__"):
766 lines = input
767 mergeback = False
768 else:
769 lines = input.splitlines()
770 mergeback = True
771 output = self.__processFile__(lines)
772 if mergeback:
773 output = '\n'.join(output)
774 return output
775

## ◆ __processFile__()

def GaudiTesting.BaseTest.FilePreprocessor.__processFile__ | ( |  | self,
|  |  | lines
| ) |  |

Reimplemented in GaudiTesting.BaseTest.SortGroupOfLines.

Definition at line 756 of file BaseTest.py.

756 def __processFile__(self, lines):
757 output = []
758 for l in lines:
759 l = self.__processLine__(l)
760 if l:
761 output.append(l)
762 return output
763

## ◆ __processLine__()

def GaudiTesting.BaseTest.FilePreprocessor.__processLine__ | ( |  | self,
|  |  | line
| ) |  |

Reimplemented in GaudiTesting.BaseTest.LineSorter, GaudiTesting.BaseTest.RegexpReplacer, GaudiTesting.BaseTest.BlockSkipper, and GaudiTesting.BaseTest.LineSkipper.

Definition at line 753 of file BaseTest.py.

753 def __processLine__(self, line):
754 return line
755
GaudiTesting.BaseTest.__processLine__
__processLine__
Definition: BaseTest.py:854

The documentation for this class was generated from the following file:

- GaudiPolicy/python/GaudiTesting/BaseTest.py